> For the complete documentation index, see [llms.txt](https://docs.sonoransoftware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sonoransoftware.com/cms/developer-api-documentation/api-integration/api-endpoints/servers/full-whitelist.md).

# Full Whitelist

This endpoint allows you to get the full whitelist list for the specified server.

## Full Whitelist

<mark style="color:green;">`POST`</mark> `https://api.sonorancms.com/servers/full_whitelist`

Gets the full list for everyone whitelisted for the specified server.

#### Request Body

| Name | Type   | Description     |
| ---- | ------ | --------------- |
| id   | string | Community ID    |
| key  | string | API Key         |
| type | string | FULL\_WHITELIST |
| data | array  |                 |

{% tabs %}
{% tab title="200: OK The following text responses may be sent in response:" %}

```json
[
    {
        "name": "John Doe",
        "apiIds: [...],
    }
]
```

{% endtab %}

{% tab title="400: Bad Request The following text responses may be sent in response:" %}

```javascript
INVALID REQUEST TYPE
INVALID COMMUNITY ID
```

{% endtab %}
{% endtabs %}

```
{
    "id": "YOUR_COMMUNITY_ID",
    "key": "YOUR_API_KEY",
    "type": "VERIFY_WHITELIST",
    "data": [
        {
            "serverId": 1,
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sonoransoftware.com/cms/developer-api-documentation/api-integration/api-endpoints/servers/full-whitelist.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
